<%@ Page Language="C#" AutoEventWireup="true" CodeFile="application_class_methodes.aspx.cs" Inherits="application_class_methodes" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Méthodes AJAX</title>
    
</head>
<body>
<form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="True">        
    </asp:ScriptManager>

    <script type="text/javascript">
        // méthode pour enregistrer un message dans un journal
        function log(msg) {
            $get("journal").innerHTML += msg + "<br>";
        }


        Sys.WebForms.PageRequestManager.getInstance().


















    // enregistrement des gestionnaires d'événéments
    // attention s'il existe une fonction pageLoad() elle est automatiquement appelée
    // par le framework sur l'événement pageLoaded.
    // Il ne faut donc pas l'enregistrer sinon elle sera appelée deux fois.
    //Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(pageLoad);

    Sys.WebForms.PageRequestManager.getInstance().add_initializeRequest(initiazeRequest);
    Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(beginRequest);
    Sys.WebForms.PageRequestManager.getInstance().add_endRequest(endRequest);

    // implémentation des gestionnaires
    function pageLoad() {
        log("pageLoad");
    }

    function initiazeRequest(e) {
        log("intializeRequest");
    }

    function beginRequest() {
        log("beginRequest");
    }

    function endRequest() {
        log("endRequest");
    }

</script>
    
<asp:UpdatePanel ID="panel_heure" runat="server">
    <ContentTemplate>                            
        <asp:Label ID="lbl_heure" runat="server" Font-Bold="True"></asp:Label>            
        <br />
        <asp:Button ID="cmd_actualiser" runat="server" Text="Actualiser" 
    	onclick="cmd_actualiser_Click" /> 
    </ContentTemplate>
</asp:UpdatePanel>
    
<hr />
<div id="journal"></div>
</form>
</body>
</html>
